Returns a link that allows a user to complete a KYC review flow via either a redirect or embedded iframe/webview.
View Embedded Flows - KYC Review to see what data the frontend is returned upon flow completion.
Security
UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
URL where the user will be redirected when the flow resolves. This will also include query parameters based on flow completion state and completed KYC review ID.
View Embedded Flows - KYC Review for more information.
Example:"https://example.com/return"
- Production Environmenthttps://api.wise.com/2026Q3/profiles/{profileId}/embedded-flows/link-requests/kyc-reviews
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q3/profiles/{profileId}/embedded-flows/link-requests/kyc-reviews
curl -i -X POST \
'https://api.wise.com/2026Q3/profiles/{profileId}/embedded-flows/link-requests/kyc-reviews' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"redirectUrl": "https://example.com/return",
"kycReviewId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}'Embedded link request created.
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Unique URL to open or embed for the user.
Example:"https://wise-sandbox.com/embedded-flows?embeddedLinkRequestId=9f5f5812-2609-4e48-8418-b64437c0c7cd#token=0d0bdc88-bcf4-43dd-85be-7ca65441db20"
Response
{ "url": "https://wise-sandbox.com/embedded-flows?embeddedLinkRequestId=9f5f5812-2609-4e48-8418-b64437c0c7cd#token=0d0bdc88-bcf4-43dd-85be-7ca65441db20", "expiresAt": "2026-06-15T13:23:20.265Z" }